Skip to content

Registers a workflow definition composed of standard and custom operators in the orchestration tool.

Request

Register a new workflow. Workflows (Airflow DAGs) could be composed of standard components (In-built Airflow operators, hooks & sensors) or custom components (User-defined operators, hooks and sensors).

Key Points

  1. Workflow name and DAG name (in workflow definition) are expected to be the same.
  2. API will check the syntactic validity of the workflow based on the orchestrator.
  3. Audit information will be added automatically. Audit params are: "createdBy" and "createdTimestamp".
Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/jsonrequired

Request payload for deploying new workflow.

descriptionstring
registrationInstructionsobject(RegistrationInstructions)
workflowNamestring
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "description": "string",
    "registrationInstructions": {
      "dagName": "string",
      "dagContent": "string"
    },
    "workflowName": "string"
  }'

Responses

Workflow created successfully.

Bodyapplication/json
createdBystring
creationTimestampinteger, (int64)
descriptionstring
registrationInstructionsobject(RegistrationInstructionsResponse)
versioninteger, (int64)
workflowIdstring
workflowNamestring
Response
{ "createdBy": "string", "creationTimestamp": 0, "description": "string", "registrationInstructions": { "dagName": "string" }, "version": 0, "workflowId": "string", "workflowName": "string" }